package com.gic.haoban.manage.web.vo.moment;

import java.io.Serializable;
import java.util.Date;

public class PlanListVO implements Serializable {

    private Long planId ;
    /**
     * 计划名称
     */
    private String name ;

    /**
     * 任务总数
     */
    private int totalNum ;

    /**
     * 已完成
     */
    private int execNum ;
    /**
     * 未完成
     */
    private int notExecNum ;

    /**
     * 开始时间
     */
    private Date startTime ;

    /**
     * 结束时间
     */
    private Date endTime ;

    /**
     * 点赞数
     */
    private int linkCount ;

    /**
     * 评论数
     */
    private int commentCount ;

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(int totalNum) {
        this.totalNum = totalNum;
    }

    public int getExecNum() {
        return execNum;
    }

    public void setExecNum(int execNum) {
        this.execNum = execNum;
    }

    public int getNotExecNum() {
        return notExecNum;
    }

    public void setNotExecNum(int notExecNum) {
        this.notExecNum = notExecNum;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public int getLinkCount() {
        return linkCount;
    }

    public void setLinkCount(int linkCount) {
        this.linkCount = linkCount;
    }

    public int getCommentCount() {
        return commentCount;
    }

    public void setCommentCount(int commentCount) {
        this.commentCount = commentCount;
    }
}
